/*--------------------------------------------------------------------
 * $Id: ocean.h,v 1.4 2008/06/12 17:42:43 bernhard Exp $
 * 
 * This file is part of libRadtran.
 * Copyright (c) 1997-2001 by Arve Kylling and Bernhard Mayer.
 * 
 * ######### Contact info: http://www.libradtran.org #########
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License   
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.        
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of  
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the   
 * GNU General Public License for more details.                    
 * 
 * You should have received a copy of the GNU General Public License          
 * along with this program; if not, write to the Free Software                
 * Foundation, Inc., 59 Temple Place - Suite 330, 
 * Boston, MA 02111-1307, USA.
 *--------------------------------------------------------------------*/

#ifndef _ocean_h
#define __ocean_h

#if defined (__cplusplus)
extern "C" {
#endif

#include "f77-uscore.h"


/* prototypes */

/* Fortran-type oceanc function which builds a search tree etc. */
void F77_FCN  (oceanc) (float *wvnmlo, float *wvnmhi, float *mu, float *mup, float *dphi, 
			float *u10, float *pcl, float *xsal, int *firstcall, float *bdref);

/* simple C wrapper for the standard oceabrdf() function, without search tree etc */
double oceabrdfc (float wvnmlo, float wvnmhi, 
		  float mu, float mup, float dphi, 
		  float u10, float pcl, float xsal, float paw);

#if defined (__cplusplus)
}
#endif

#endif
